Debian Bug report logs - #598375
live-config: hooks on media do not run

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Scott Barker <scott@mostlylinux.ca>

Date: Tue, 28 Sep 2010 15:27:02 UTC

Severity: normal

Found in version 2.0.7+20100926.070409~60squeeze+1

Fixed in versions live-config/2.0.8-1, live-config/3.0~a9-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Barker <scott@mostlylinux.ca>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 15:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Barker <scott@mostlylinux.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 09:19:25 -0600
Package: live-config
Version: 2.0.7+20100926.070409~60squeeze+1
Severity: normal


The 999-hooks script allows "filesystem" and "media" as options to the
hooks= boot argument, however, it tries to use wget to copy them, and wget
just complains "Scheme missing." If there is no scheme specified, the script
should just use "cp". Note also that the man page for live-config
incorrectly states "medium" as an option for the hooks= boot argument,
instead of "media".


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (700, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.utf8, LC_CTYPE=en_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-config depends on:
ii  live-c 2.0.7+20100926.070409~60squeeze+1 Debian Live - System Configuration

Versions of packages live-config recommends:
ii  sudo                          1.7.4p4-2  Provide limited super user privile
ii  user-setup                    1.34       Set up initial user and password

Versions of packages live-config suggests:
ii  wget                          1.12-2.1   retrieves files from the web

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 17:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 17:12:07 GMT) Full text and rfc822 format available.

Message #10 received at 598375@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Scott Barker <scott@mostlylinux.ca>
Cc: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 19:09:02 +0200
tag 598375 moreinfo
thanks

On 09/28/2010 05:19 PM, Scott Barker wrote:
> The 999-hooks script allows "filesystem" and "media" as options to the
> hooks= boot argument, however, it tries to use wget to copy them, and wget
> just complains "Scheme missing." If there is no scheme specified, the script
> should just use "cp".

it should do the right thing if your filesystem or medium hooks are in
the format of a file:// url.

are you using it with file:// prefix?

> Note also that the man page for live-config
> incorrectly states "medium" as an option for the hooks= boot argument,
> instead of "media".

updated the script to match the manpage (it should not be plural here).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 17:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Barker <scott@mostlylinux.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 17:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 598375@bugs.debian.org (full text, mbox):

From: Scott Barker <scott@mostlylinux.ca>
To: Daniel Baumann <daniel@debian.org>
Cc: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 11:18:09 -0600
I specified "hooks=medium", so the script found the hooks in /live/hooks/*,
but then uses them as raw filenames, without pre-pending file:// to them.

On Tue, Sep 28, 2010 at 07:09:02PM +0200, Daniel Baumann wrote:
> tag 598375 moreinfo
> thanks
> 
> On 09/28/2010 05:19 PM, Scott Barker wrote:
> > The 999-hooks script allows "filesystem" and "media" as options to the
> > hooks= boot argument, however, it tries to use wget to copy them, and wget
> > just complains "Scheme missing." If there is no scheme specified, the script
> > should just use "cp".
> 
> it should do the right thing if your filesystem or medium hooks are in
> the format of a file:// url.
> 
> are you using it with file:// prefix?
> 
> > Note also that the man page for live-config
> > incorrectly states "medium" as an option for the hooks= boot argument,
> > instead of "media".
> 
> updated the script to match the manpage (it should not be plural here).
> 
> -- 
> Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
> Email:          daniel.baumann@panthera-systems.net
> Internet:       http://people.panthera-systems.net/~daniel-baumann/

-- 
Scott Barker       scott@mostlylinux.ca
Linux Consultant   http://www.mostlylinux.ca/scott




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 598375@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Scott Barker <scott@mostlylinux.ca>
Cc: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 20:01:38 +0200
tag 598375 - moreinfo
tag 598375 pending
thanks

On 09/28/2010 07:18 PM, Scott Barker wrote:
> I specified "hooks=medium", so the script found the hooks in /live/hooks/*,
> but then uses them as raw filenames, without pre-pending file:// to them.

ah, right. fixed in git. thanks you for reporting it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Removed tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 18:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 18:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Barker <scott@mostlylinux.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #31 received at 598375@bugs.debian.org (full text, mbox):

From: Scott Barker <scott@mostlylinux.ca>
To: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 14:55:22 -0600
I'm pretty sure that the first for loop in the script is incorrect as well.
The case statement uses "${LIVE_HOOKS}" instead of "${_HOOK}", which doesn't
work if more than one hook is defined.

-- 
Scott Barker       scott@mostlylinux.ca
Linux Consultant   http://www.mostlylinux.ca/scott




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Tue, 28 Sep 2010 21:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Barker <scott@mostlylinux.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 28 Sep 2010 21:15:12 GMT) Full text and rfc822 format available.

Message #36 received at 598375@bugs.debian.org (full text, mbox):

From: Scott Barker <scott@mostlylinux.ca>
To: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Tue, 28 Sep 2010 15:10:45 -0600
There is also a faulty "if" statement on line 56. This is incorrect:

  if $(echo "${_HOOK}" | grep file:\/\/)

this is correct:

  if (echo "${_HOOK}" | grep file:\/\/)

Probably "file:\/\/" could also just be "file://".

I think in the sed statement, "file\://" could just be "file://" as well.

-- 
Scott Barker       scott@mostlylinux.ca
Linux Consultant   http://www.mostlylinux.ca/scott




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Thu, 30 Sep 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 30 Sep 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #41 received at 598375@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Scott Barker <scott@mostlylinux.ca>
Cc: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Thu, 30 Sep 2010 20:24:46 +0200
On 09/28/2010 10:55 PM, Scott Barker wrote:
> I'm pretty sure that the first for loop in the script is incorrect as well.
> The case statement uses "${LIVE_HOOKS}" instead of "${_HOOK}", which doesn't
> work if more than one hook is defined.

fixed, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#598375; Package live-config. (Thu, 30 Sep 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 30 Sep 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #46 received at 598375@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Scott Barker <scott@mostlylinux.ca>
Cc: 598375@bugs.debian.org
Subject: Re: Bug#598375: live-config: hooks on media do not run
Date: Thu, 30 Sep 2010 20:52:23 +0200
On 09/28/2010 11:10 PM, Scott Barker wrote:
> There is also a faulty "if" statement on line 56. This is incorrect:
> 
>   if $(echo "${_HOOK}" | grep file:\/\/)
> 
> this is correct:
> 
>   if (echo "${_HOOK}" | grep file:\/\/)

not really, the proper way to do it is

  if echo "${_HOOK}" | grep -qs file://

fixed that in git.

> I think in the sed statement, "file\://" could just be "file://" as well.

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 02 Oct 2010 08:39:03 GMT) Full text and rfc822 format available.

Notification sent to Scott Barker <scott@mostlylinux.ca>:
Bug acknowledged by developer. (Sat, 02 Oct 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #51 received at 598375-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 598375-close@bugs.debian.org
Subject: Bug#598375: fixed in live-config 2.0.8-1
Date: Sat, 02 Oct 2010 08:36:05 +0000
Source: live-config
Source-Version: 2.0.8-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_2.0.8-1_all.deb
  to main/l/live-config/live-config-runit_2.0.8-1_all.deb
live-config-systemd_2.0.8-1_all.deb
  to main/l/live-config/live-config-systemd_2.0.8-1_all.deb
live-config-sysvinit_2.0.8-1_all.deb
  to main/l/live-config/live-config-sysvinit_2.0.8-1_all.deb
live-config-upstart_2.0.8-1_all.deb
  to main/l/live-config/live-config-upstart_2.0.8-1_all.deb
live-config_2.0.8-1.diff.gz
  to main/l/live-config/live-config_2.0.8-1.diff.gz
live-config_2.0.8-1.dsc
  to main/l/live-config/live-config_2.0.8-1.dsc
live-config_2.0.8-1_all.deb
  to main/l/live-config/live-config_2.0.8-1_all.deb
live-config_2.0.8.orig.tar.gz
  to main/l/live-config/live-config_2.0.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Oct 2010 10:12:13 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 2.0.8-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 598375 598536
Changes: 
 live-config (2.0.8-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Adding forgotten config= shortcut in argument parsing.
   * Using medium as keyword instead of media in hook script, as
     documented in the manpage (Closes: #598375).
   * Correctly prepending local hooks with file:// prefix (Closes:
     #598375).
 .
   [ Scott Barker ]
   * Fixing typo in config.d files parsing from live media (Closes:
     #598536).
 .
   [ Daniel Baumann ]
   * Correcting another typo in hooks config script regarding the loop
     variable.
   * Simplyfing and silencing switch between local and remote files in
     hooks script.
   * Simplyfing sed call when using local hook scripts.
Checksums-Sha1: 
 8d0aaa065ab254869484551e91da07dab2c9684d 1321 live-config_2.0.8-1.dsc
 98a56df4fbad65dfc732ef5376ca1c0a45641329 74957 live-config_2.0.8.orig.tar.gz
 8ba4664b2eefce916ee650f6452b2f3792bfea5e 6177 live-config_2.0.8-1.diff.gz
 89e88c1d923a12d59e16dac26b8858d9c58ece9a 39500 live-config_2.0.8-1_all.deb
 f768225519aab1510abf171735c497f3b370940f 6428 live-config-runit_2.0.8-1_all.deb
 bd7788cbffd7002ccc488c20e122dad156ce0480 6180 live-config-systemd_2.0.8-1_all.deb
 92d0425d0d19b9840fc3e421a31b9e4c89ed2f0b 7154 live-config-sysvinit_2.0.8-1_all.deb
 f83f1a749b089853ac3386823a7dbb00a34b370b 6340 live-config-upstart_2.0.8-1_all.deb
Checksums-Sha256: 
 fde8dbcf82ffcccb66b58876ee748c5891ced6d76b74e870c62fce6dd30e2461 1321 live-config_2.0.8-1.dsc
 0d9dd2c0a5db3f92a22570eeb183dd725eca66aef7b0ca7daf13150f6443bee1 74957 live-config_2.0.8.orig.tar.gz
 c00dceecc9711d0db8c5d11eb308647e20bf8f9fb6a4ccbcc9b8a35810e639ee 6177 live-config_2.0.8-1.diff.gz
 8740be44f01c07c29cf71884754f9406d6bb08a774d6b356feb6177df3698858 39500 live-config_2.0.8-1_all.deb
 f20fda915b53dc613cb252662c9acf6d1690342d6d6d933eb69634c607f9a592 6428 live-config-runit_2.0.8-1_all.deb
 c250802dcbb3ca12fbd19ec6b4fe28625d83acc7600d183dae0745c781132f3d 6180 live-config-systemd_2.0.8-1_all.deb
 a0c30fea1b002fb7e77c722341cf027ce54b02c0801d01bf5c862a7fd4a1fcb9 7154 live-config-sysvinit_2.0.8-1_all.deb
 002bc3a6df50ecc0d081b8ef89fa026cfa1b921be67d664db92daa06835bdec1 6340 live-config-upstart_2.0.8-1_all.deb
Files: 
 b67df6b905e96cad8927940d6d9b1524 1321 misc optional live-config_2.0.8-1.dsc
 407c3ca56c8e2f6d1cd940bea1aebb6c 74957 misc optional live-config_2.0.8.orig.tar.gz
 281d08330253c7c50346d7e0ec4bfd66 6177 misc optional live-config_2.0.8-1.diff.gz
 b212a3b479b39586681a27e4f2590fdb 39500 misc optional live-config_2.0.8-1_all.deb
 3d2484693d840918fccdb0ee9b6f5583 6428 misc optional live-config-runit_2.0.8-1_all.deb
 829c54aba091c3737da4fb056441dfd4 6180 misc optional live-config-systemd_2.0.8-1_all.deb
 30754e35ebcf92c84ba7c735e0cf24c4 7154 misc optional live-config-sysvinit_2.0.8-1_all.deb
 7fbb2ca873cc33c9163e8fe1f3856fb6 6340 misc optional live-config-upstart_2.0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkym6egACgkQ+C5cwEsrK54IPwCffFZvcO0fm0HG6gUNro1SJRq6
D4sAoMWN4wON2vQjN5iBaHKJre0gNZsf
=OzW8
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 02 Oct 2010 09:06:03 GMT) Full text and rfc822 format available.

Notification sent to Scott Barker <scott@mostlylinux.ca>:
Bug acknowledged by developer. (Sat, 02 Oct 2010 09:06:03 GMT) Full text and rfc822 format available.

Message #56 received at 598375-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 598375-close@bugs.debian.org
Subject: Bug#598375: fixed in live-config 3.0~a9-1
Date: Sat, 02 Oct 2010 09:02:39 +0000
Source: live-config
Source-Version: 3.0~a9-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_3.0~a9-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a9-1_all.deb
live-config-systemd_3.0~a9-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a9-1_all.deb
live-config-sysvinit_3.0~a9-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a9-1_all.deb
live-config-upstart_3.0~a9-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a9-1_all.deb
live-config_3.0~a9-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a9-1.debian.tar.gz
live-config_3.0~a9-1.dsc
  to main/l/live-config/live-config_3.0~a9-1.dsc
live-config_3.0~a9-1_all.deb
  to main/l/live-config/live-config_3.0~a9-1_all.deb
live-config_3.0~a9.orig.tar.gz
  to main/l/live-config/live-config_3.0~a9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Oct 2010 10:40:58 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a9-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 598375 598536
Changes: 
 live-config (3.0~a9-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Removing TODO file, merged into http://live.debian.net/devel/live-
     config/todo/.
   * Using medium as keyword instead of media in hook script, as
     documented in the manpage (Closes: #598375).
   * Correctly prepending local hooks with file:// prefix (Closes:
     #598375).
 .
   [ Scott Barker ]
   * Fixing typo in config.d files parsing from live media (Closes:
     #598536).
 .
   [ Daniel Baumann ]
   * Updating to debhelper version 8.
   * Correcting another typo in hooks config script regarding the loop
     variable.
   * Simplyfing and silencing switch between local and remote files in
     hooks script.
   * Simplyfing sed call when using local hook scripts.
Checksums-Sha1: 
 c3f898a1827751dee728182f705e61b5d602d89b 1348 live-config_3.0~a9-1.dsc
 acae1a43c0e3c23426455d3a86e08ce873aaffdd 73466 live-config_3.0~a9.orig.tar.gz
 43fbae4746d21066be4347f80b8f64e6aa619d2a 6777 live-config_3.0~a9-1.debian.tar.gz
 65d0c534709308d3a581a859deb2ab65453e2258 38866 live-config_3.0~a9-1_all.deb
 618fc2b2fe6f4c1d98b33e0d4da0bbd7b309173c 6532 live-config-runit_3.0~a9-1_all.deb
 ccab5c743fe6fa26379d0a1d0756962daab3b775 6272 live-config-systemd_3.0~a9-1_all.deb
 33985490466ecdf2dbd3aa044c6c73f551f4481b 7272 live-config-sysvinit_3.0~a9-1_all.deb
 00d21325ffec751b074846fc744b2a323e6380a4 6442 live-config-upstart_3.0~a9-1_all.deb
Checksums-Sha256: 
 052148abb6202410550cd9ab58fcc568f9ac1137eeace0f9ba84aa257b59654f 1348 live-config_3.0~a9-1.dsc
 998a9eba06ccd60aae5ec757b3c80874e712ed1b08609727b0364aef46f85282 73466 live-config_3.0~a9.orig.tar.gz
 630ebda9e56d4183809a8f5127d0e99f5473e75706491f0364324da0df0d4e25 6777 live-config_3.0~a9-1.debian.tar.gz
 580b020242ddf66cd13df6b724a1c157e7420b081dbc574a4b6e742b96d224dd 38866 live-config_3.0~a9-1_all.deb
 b29a184cafaaa7dd49782c65136d694e767bb7b6a0f4996dbaa8d8c3c903ff23 6532 live-config-runit_3.0~a9-1_all.deb
 68db0157eccd835aee83c2b9411099e5ad2edb3983428b5b0d4e9081d9c679cc 6272 live-config-systemd_3.0~a9-1_all.deb
 48e4a6208ee19028ad10419ff2ad1f06df1940ee1c9034a3bc65902e5e3492e5 7272 live-config-sysvinit_3.0~a9-1_all.deb
 bbb9021f47eab415c994527dbd131d8ce455dde006c90e45c017433014701d41 6442 live-config-upstart_3.0~a9-1_all.deb
Files: 
 b4c65b9067e02e03a123b13d7f2d45fc 1348 misc optional live-config_3.0~a9-1.dsc
 491ae92851217af3a7277fa28f4e61aa 73466 misc optional live-config_3.0~a9.orig.tar.gz
 870e9ccbd2c6a9a428433aebc66de941 6777 misc optional live-config_3.0~a9-1.debian.tar.gz
 b3aee8d4047a6ff58597af3105a5ab5e 38866 misc optional live-config_3.0~a9-1_all.deb
 33daec7d3465c92a45a6e708568dada4 6532 misc optional live-config-runit_3.0~a9-1_all.deb
 15d5b93439d5c2f07c3f9e697a42a842 6272 misc optional live-config-systemd_3.0~a9-1_all.deb
 7b7670e0320c1b620d0744715d53f223 7272 misc optional live-config-sysvinit_3.0~a9-1_all.deb
 7232e838fc187b9cd49e55ea4b70ff85 6442 misc optional live-config-upstart_3.0~a9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkym8QMACgkQ+C5cwEsrK54RqgCgmA8YMWsSWvbnwz+KUAjA6LZS
xbkAoM4rcYQ1aS1K3ogp7Dqb3a8vS5hS
=smm4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Oct 2010 07:34:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:53:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.